from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import ApplyView, MyApplicationsView, ApplicationManageViewSet, ApplicationStatusUpdateView

router = DefaultRouter()
router.register('manage', ApplicationManageViewSet, basename='application-manage')

urlpatterns = [
    path('apply/', ApplyView.as_view()),
    path('mine/', MyApplicationsView.as_view()),
    path('manage/<int:pk>/status/', ApplicationStatusUpdateView.as_view()),
    path('', include(router.urls)),
]
